ApiParcel (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiParcel

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiParcel

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiParcel
      extends Object

  A Parcel encapsulate a specific product and version. For example, (CDH 4.1). A parcel is downloaded, distributed to all the machines of a cluster and then allowed to be activated. <p>> The available parcels are determined by which cluster they will be running on. For example, a SLES parcel won't show up for a RHEL cluster. </p>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiParcel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiParcel` | `clusterRef(ApiClusterRef clusterRef)`
    `ApiParcel` | `description(String description)`
    `ApiParcel` | `displayName(String displayName)`
    `boolean` | `equals(Object o)`
    `ApiClusterRef` | `getClusterRef()` Readonly.
    `String` | `getDescription()` Read-only.
    `String` | `getDisplayName()` Read-only.
    `String` | `getProduct()` The name of the product, e.g.
    `String` | `getStage()` Returns the current stage of the parcel.
    `ApiParcelState` | `getState()` The state of the parcel.
    `String` | `getVersion()` The version of the product, e.g.
    `int` | `hashCode()`
    `ApiParcel` | `product(String product)`
    `void` | `setClusterRef(ApiClusterRef clusterRef)`
    `void` | `setDescription(String description)`
    `void` | `setDisplayName(String displayName)`
    `void` | `setProduct(String product)`
    `void` | `setStage(String stage)`
    `void` | `setState(ApiParcelState state)`
    `void` | `setVersion(String version)`
    `ApiParcel` | `stage(String stage)`
    `ApiParcel` | `state(ApiParcelState state)`
    `String` | `toString()`
    `ApiParcel` | `version(String version)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiParcel

          public ApiParcel()

  - ### Method Detail

    - #### product

          public ApiParcel product(String product)

    - #### getProduct

          public String getProduct()

      The name of the product, e.g. CDH, Impala
      Returns:
        product

    - #### setProduct

          public void setProduct(String product)

    - #### version

          public ApiParcel version(String version)

    - #### getVersion

          public String getVersion()

      The version of the product, e.g. 1.1.0, 2.3.0.
      Returns:
        version

    - #### setVersion

          public void setVersion(String version)

    - #### stage

          public ApiParcel stage(String stage)

    - #### getStage

          public String getStage()

      Returns the current stage of the parcel. <p> There are a number of stages a parcel can be in. There are two types of stages - stable and transient. A parcel is in a transient stage when it is transitioning between two stable stages. The stages are listed below with some additional information. <ul> <li><b>AVAILABLE_REMOTELY</b>: Stable stage - the parcel can be downloaded to the server.</li> <li><b>DOWNLOADING</b>: Transient stage - the parcel is in the process of being downloaded to the server.</li> <li><b>DOWNLOADED</b>: Stable stage - the parcel is downloaded and ready to be distributed or removed from the server.</li> <li><b>DISTRIBUTING</b>: Transient stage - the parcel is being sent to all the hosts in the cluster.</li> <li><b>DISTRIBUTED</b>: Stable stage - the parcel is on all the hosts in the cluster. The parcel can now be activated, or removed from all the hosts.</li> <li><b>UNDISTRIBUTING</b>: Transient stage - the parcel is being removed from all the hosts in the cluster></li> <li><b>ACTIVATING</b>: Transient stage - the parcel is being activated on the hosts in the cluster. <i>New in API v7</i></li> <li><b>ACTIVATED</b>: Steady stage - the parcel is set to active on every host in the cluster. If desired, a parcel can be deactivated from this stage.</li> </ul>
      Returns:
        stage

    - #### setStage

          public void setStage(String stage)

    - #### state

          public ApiParcel state(ApiParcelState state)

    - #### getState

          public ApiParcelState getState()

      The state of the parcel. This shows the progress of state transitions and if there were any errors.
      Returns:
        state

    - #### setState

          public void setState(ApiParcelState state)

    - #### clusterRef

          public ApiParcel clusterRef(ApiClusterRef clusterRef)

    - #### getClusterRef

          public ApiClusterRef getClusterRef()

      Readonly. A reference to the enclosing cluster.
      Returns:
        clusterRef

    - #### setClusterRef

          public void setClusterRef(ApiClusterRef clusterRef)

    - #### displayName

          public ApiParcel displayName(String displayName)

    - #### getDisplayName

          public String getDisplayName()

      Read-only. Display name of the parcel. If set, available since v40.
      Returns:
        displayName

    - #### setDisplayName

          public void setDisplayName(String displayName)

    - #### description

          public ApiParcel description(String description)

    - #### getDescription

          public String getDescription()

      Read-only. Description of the parcel. If set, available since v40.
      Returns:
        description

    - #### setDescription

          public void setDescription(String description)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.